<template>
  <div class="camera">
    <img src="../../assets/images/pageFour/camera.webp" alt="" />
    <svg-icon iconClass="ic_monitorphoto" class="ic_monitorphoto" @click="$router.push('/photo')"></svg-icon>
    <svg-icon :iconClass="isCamera?'ic_button':'ic_button2'" class="ic_button"></svg-icon>
    <div class="select-icon">
        <div class="icon-item" :class="isCamera?'active-icon':''" @click="isCamera = true">
            <svg-icon iconClass="ic_camera2" class="ic_camera2"></svg-icon>
        </div>
        <div class="icon-item" :class="!isCamera?'active-icon':''" @click="isCamera = false">
            <svg-icon iconClass="ic_ship" class="ic_ship"></svg-icon>
        </div>
    </div>
    <img src="../../assets/images/pageFour/camera_icon.webp" alt="" class="icon-img">
  </div>
</template>

<script>
export default {
  name: "camera",
  data() {
    return {
        isCamera: true
    }
  },
};
</script>

<style scoped lang="scss">
.camera {
//   position: relative;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  padding-bottom: 86px;
  box-sizing: border-box;
  img {
    pointer-events: none;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .ic_monitorphoto{
    position: absolute;
    left: 84px;
    top: 130px;
    width: 98px;
    height: 98px;
  }
  .ic_button{
    position: absolute;
    left: 84px;
    top: 450px;
    width: 98px;
    height: 98px;
  }
  .select-icon{
    position: absolute;
    left: 84px;
    top: 600px;
    width: 98px;
    height: 294px;
    background-color: #313134;
    border-radius: 49px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    .icon-item{
        width: 78px;
        height: 138px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 49px;
        .ic_camera2{
            width: 59px;
            height: 39px;
        }
        .ic_ship{
            width: 58px;
            height: 34px;
        }
    }
    .active-icon{
        background-color: #009AED;
    }
  }
  .icon-img{
    position: absolute;
    top: 180px;
    left: 300px;
    width: 74px;
    height: 709px;
  }
}
</style>